diff --git a/snf-pithos-backend/pithos/backends/lib/sqlalchemy/node.py b/snf-pithos-backend/pithos/backends/lib/sqlalchemy/node.py
index a72f9e5..cfa96b3 100644
--- a/snf-pithos-backend/pithos/backends/lib/sqlalchemy/node.py
+++ b/snf-pithos-backend/pithos/backends/lib/sqlalchemy/node.py
@@ -879,57 +893,57 @@ class Node(DBWorker):
         """Return a (list of (path, serial) tuples, list of common prefixes)
            for the current versions of the paths with the given parent,
            matching the following criteria.
-           
+
            The property tuple for a version is returned if all
            of these conditions are true:
-                
+
                 a. parent matches
-                
+
                 b. path > start
-                
+
                 c. path starts with prefix (and paths in pathq)
-                
+
                 d. version is the max up to before
-                
+
                 e. version is not in cluster
-                
+
                 f. the path does not have the delimiter occuring
                    after the prefix, or ends with the delimiter
-                
+
                 g. serial matches the attribute filter query.
-                   
+
                    A filter query is a comma-separated list of
                    terms in one of these three forms:
-                   
+
                    key
                        an attribute with this key must exist
-                   
+
                    !key
                        an attribute with this key must not exist
-                   
+
                    key ?op value
                        the attribute with this key satisfies the value
                        where ?op is one of ==, != <=, >=, <, >.
-                
+
                 h. the size is in the range set by sizeq
-           
+
            The list of common prefixes includes the prefixes
            matching up to the first delimiter after prefix,
            and are reported only once, as "virtual directories".
            The delimiter is included in the prefixes.
-           
+
            If arguments are None, then the corresponding matching rule
            will always match.
-           
+
            Limit applies to the first list of tuples returned.
-           
+
            If all_props is True, return all properties after path, not just serial.
         """
-        
+
         if not start or start < prefix:
             start = strprevling(prefix)
         nextling = strnextling(prefix)
-        
+
         v = self.versions.alias('v')
         n = self.nodes.alias('n')
         if not all_props:
@@ -945,28 +959,30 @@ class Node(DBWorker):
             filtered = filtered.where(self.versions.c.mtime < before)
         else:
             filtered = select([self.nodes.c.latest_version])
-        s = s.where(v.c.serial == filtered.where(self.nodes.c.node == v.c.node))
+        s = s.where(
+            v.c.serial == filtered.where(self.nodes.c.node == v.c.node))
         s = s.where(v.c.cluster != except_cluster)
         s = s.where(v.c.node.in_(select([self.nodes.c.node],
-            self.nodes.c.parent == parent)))
-        
+                                        self.nodes.c.parent == parent)))
+
         s = s.where(n.c.node == v.c.node)
         s = s.where(and_(n.c.path > bindparam('start'), n.c.path < nextling))
         conj = []
         for path, match in pathq:
             if match == MATCH_PREFIX:
-                conj.append(n.c.path.like(self.escape_like(path) + '%', escape='\\'))
+                conj.append(
+                    n.c.path.like(self.escape_like(path) + '%', escape='\\'))
             elif match == MATCH_EXACT:
                 conj.append(n.c.path == path)
         if conj:
             s = s.where(or_(*conj))
-        
+
         if sizeq and len(sizeq) == 2:
             if sizeq[0]:
                 s = s.where(v.c.size >= sizeq[0])
             if sizeq[1]:
                 s = s.where(v.c.size < sizeq[1])
-        
+
         if domain and filterq:
             a = self.attributes.alias('a')
             included, excluded, opers = parse_filters(filterq)
@@ -987,18 +1003,19 @@ class Node(DBWorker):
                     subs = select([1])
                     subs = subs.where(a.c.serial == v.c.serial).correlate(v)
                     subs = subs.where(a.c.domain == domain)
-                    subs = subs.where(and_(a.c.key.op('=')(k), a.c.value.op(o)(val)))
+                    subs = subs.where(
+                        and_(a.c.key.op('=')(k), a.c.value.op(o)(val)))
                     s = s.where(exists(subs))
-        
+
         s = s.order_by(n.c.path)
-        
+
         if not delimiter:
             s = s.limit(limit)
             rp = self.conn.execute(s, start=start)
             r = rp.fetchall()
             rp.close()
             return r, ()
-        
+
         pfz = len(prefix)
         dz = len(delimiter)
         count = 0
@@ -1006,7 +1023,7 @@ class Node(DBWorker):
         pappend = prefixes.append
         matches = []
         mappend = matches.append
-        
+
         rp = self.conn.execute(s, start=start)
         while True:
             props = rp.fetchone()
@@ -1015,38 +1032,38 @@ class Node(DBWorker):
             path = props[0]
             serial = props[1]
             idx = path.find(delimiter, pfz)
-            
+
             if idx < 0:
                 mappend(props)
                 count += 1
                 if count >= limit:
                     break
                 continue
-            
+
             if idx + dz == len(path):
                 mappend(props)
                 count += 1
-                continue # Get one more, in case there is a path.
+                continue  # Get one more, in case there is a path.
             pf = path[:idx + dz]
             pappend(pf)
-            if count >= limit: 
+            if count >= limit:
                 break
-            
-            rp = self.conn.execute(s, start=strnextling(pf)) # New start.
+
+            rp = self.conn.execute(s, start=strnextling(pf))  # New start.
         rp.close()
-        
+
         return matches, prefixes
-    
+
     def latest_uuid(self, uuid):
         """Return a (path, serial) tuple, for the latest version of the given uuid."""
-        
+
         v = self.versions.alias('v')
         n = self.nodes.alias('n')
         s = select([n.c.path, v.c.serial])
         filtered = select([func.max(self.versions.c.serial)])
         s = s.where(v.c.serial == filtered.where(self.versions.c.uuid == uuid))
         s = s.where(n.c.node == v.c.node)
-        
+
         r = self.conn.execute(s)
         l = r.fetchone()
         r.close()
diff --git a/snf-pithos-backend/pithos/backends/lib/sqlalchemy/permissions.py b/snf-pithos-backend/pithos/backends/lib/sqlalchemy/permissions.py
index 9644e85..c914c07 100644
--- a/snf-pithos-backend/pithos/backends/lib/sqlalchemy/permissions.py
+++ b/snf-pithos-backend/pithos/backends/lib/sqlalchemy/permissions.py
@@ -1,18 +1,18 @@
 # Copyright 2011-2012 GRNET S.A. All rights reserved.
-# 
+#
 # Redistribution and use in source and binary forms, with or
 # without modification, are permitted provided that the following
 # conditions are met:
-# 
+#
 #   1. Redistributions of source code must retain the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer.
-# 
+#
 #   2. Redistributions in binary form must reproduce the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer in the documentation and/or other materials
 #      provided with the distribution.
-# 
+#
 # THIS SOFTWARE IS PROVIDED BY GRNET S.A. ``AS IS'' AND ANY EXPRESS
 # OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 # WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
@@ -25,7 +25,7 @@
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 # ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 # POSSIBILITY OF SUCH DAMAGE.
-# 
+#
 # The views and conclusions contained in the software and
 # documentation are those of the authors and should not be
 # interpreted as representing official policies, either expressed
@@ -44,26 +44,26 @@ WRITE = 1
 
 
 class Permissions(XFeatures, Groups, Public):
-    
+
     def __init__(self, **params):
         XFeatures.__init__(self, **params)
         Groups.__init__(self, **params)
         Public.__init__(self, **params)
-    
+
     def access_grant(self, path, access, members=()):
         """Grant members with access to path.
            Members can also be '*' (all),
            or some group specified as 'owner:group'."""
-        
+
         if not members:
             return
         feature = self.xfeature_create(path)
         self.feature_setmany(feature, access, members)
-    
+
     def access_set(self, path, permissions):
         """Set permissions for path. The permissions dict
            maps 'read', 'write' keys to member lists."""
-        
+
         r = permissions.get('read', [])
         w = permissions.get('write', [])
         if not r and not w:
@@ -76,10 +76,10 @@ class Permissions(XFeatures, Groups, Public):
             self.feature_setmany(feature, READ, r)
         if w:
             self.feature_setmany(feature, WRITE, w)
-    
+
     def access_get(self, path):
         """Get permissions for path."""
-        
+
         feature = self.xfeature_get(path)
         if not feature:
             return {}
@@ -91,7 +91,7 @@ class Permissions(XFeatures, Groups, Public):
             permissions['write'] = permissions[WRITE]
             del(permissions[WRITE])
         return permissions
-    
+
     def access_members(self, path):
         feature = self.xfeature_get(path)
         if not feature:
@@ -108,22 +108,22 @@ class Permissions(XFeatures, Groups, Public):
             members.remove(m)
             members.update(self.group_members(user, group))
         return list(members)
-    
+
     def access_clear(self, path):
         """Revoke access to path (both permissions and public)."""
-        
+
         self.xfeature_destroy(path)
         self.public_unset(path)
-    
+
     def access_clear_bulk(self, paths):
         """Revoke access to path (both permissions and public)."""
-        
+
         self.xfeature_destroy_bulk(paths)
         self.public_unset_bulk(paths)
-    
+
     def access_check(self, path, access, member):
         """Return true if the member has this access to the path."""
-        
+
         feature = self.xfeature_get(path)
         if not feature:
             return False
@@ -134,16 +134,16 @@ class Permissions(XFeatures, Groups, Public):
             if owner + ':' + group in members:
                 return True
         return False
-    
+
     def access_inherit(self, path):
         """Return the paths influencing the access for path."""
-        
+
 #         r = self.xfeature_inherit(path)
 #         if not r:
 #             return []
 #         # Compute valid.
 #         return [x[0] for x in r if x[0] in valid]
-        
+
         # Only keep path components.
         parts = path.rstrip('/').split('/')
         valid = []
@@ -153,35 +153,36 @@ class Permissions(XFeatures, Groups, Public):
             if subp != path:
                 valid.append(subp + '/')
         return [x for x in valid if self.xfeature_get(x)]
-    
+
     def access_list_paths(self, member, prefix=None):
         """Return the list of paths granted to member."""
-        
-        xfeatures_xfeaturevals =  self.xfeatures.join(self.xfeaturevals)
-        
+
+        xfeatures_xfeaturevals = self.xfeatures.join(self.xfeaturevals)
+
         selectable = (self.groups.c.owner + ':' + self.groups.c.name)
         member_groups = select([selectable.label('value')],
-            self.groups.c.member == member)
-        
+                               self.groups.c.member == member)
+
         members = select([literal(member).label('value')])
         any = select([literal('*').label('value')])
-        
+
         u = union(member_groups, members, any).alias()
         inner_join = join(xfeatures_xfeaturevals, u,
-                    self.xfeaturevals.c.value == u.c.value)
+                          self.xfeaturevals.c.value == u.c.value)
         s = select([self.xfeatures.c.path], from_obj=[inner_join]).distinct()
         if prefix:
-            s = s.where(self.xfeatures.c.path.like(self.escape_like(prefix) + '%', escape='\\'))
+            s = s.where(self.xfeatures.c.path.like(
+                self.escape_like(prefix) + '%', escape='\\'))
         r = self.conn.execute(s)
         l = [row[0] for row in r.fetchall()]
         r.close()
         return l
-    
+
     def access_list_shared(self, prefix=''):
         """Return the list of shared paths."""
-        
+
         s = select([self.xfeatures.c.path],
-            self.xfeatures.c.path.like(self.escape_like(prefix) + '%', escape='\\')).order_by(self.xfeatures.c.path.asc())
+                   self.xfeatures.c.path.like(self.escape_like(prefix) + '%', escape='\\')).order_by(self.xfeatures.c.path.asc())
         r = self.conn.execute(s)
         l = [row[0] for row in r.fetchall()]
         r.close()
diff --git a/snf-pithos-backend/pithos/backends/lib/sqlalchemy/public.py b/snf-pithos-backend/pithos/backends/lib/sqlalchemy/public.py
index a132980..c633d85 100644
--- a/snf-pithos-backend/pithos/backends/lib/sqlalchemy/public.py
+++ b/snf-pithos-backend/pithos/backends/lib/sqlalchemy/public.py
@@ -1,18 +1,18 @@
 # Copyright 2011-2012 GRNET S.A. All rights reserved.
-# 
+#
 # Redistribution and use in source and binary forms, with or
 # without modification, are permitted provided that the following
 # conditions are met:
-# 
+#
 #   1. Redistributions of source code must retain the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer.
-# 
+#
 #   2. Redistributions in binary form must reproduce the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer in the documentation and/or other materials
 #      provided with the distribution.
-# 
+#
 # THIS SOFTWARE IS PROVIDED BY GRNET S.A. ``AS IS'' AND ANY EXPRESS
 # OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 # WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
@@ -25,7 +25,7 @@
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 # ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 # POSSIBILITY OF SUCH DAMAGE.
-# 
+#
 # The views and conclusions contained in the software and
 # documentation are those of the authors and should not be
 # interpreted as representing official policies, either expressed
@@ -37,21 +37,24 @@ from sqlalchemy.sql import and_, select
 from sqlalchemy.schema import Index
 from sqlalchemy.exc import NoSuchTableError
 
+
 def create_tables(engine):
     metadata = MetaData()
-    columns=[]
+    columns = []
     columns.append(Column('public_id', Integer, primary_key=True))
     columns.append(Column('path', String(2048), nullable=False))
     columns.append(Column('active', Boolean, nullable=False, default=True))
-    public = Table('public', metadata, *columns, mysql_engine='InnoDB', sqlite_autoincrement=True)
+    public = Table('public', metadata, *columns, mysql_engine='InnoDB',
+                   sqlite_autoincrement=True)
     # place an index on path
     Index('idx_public_path', public.c.path, unique=True)
     metadata.create_all(engine)
     return metadata.sorted_tables
 
+
 class Public(DBWorker):
     """Paths can be marked as public."""
-    
+
     def __init__(self, **params):
         DBWorker.__init__(self, **params)
         try:
@@ -60,7 +63,7 @@ class Public(DBWorker):
         except NoSuchTableError:
             tables = create_tables(self.engine)
             map(lambda t: self.__setattr__(t.name, t), tables)
-    
+
     def public_set(self, path):
         s = select([self.public.c.public_id])
         s = s.where(self.public.c.path == path)
@@ -75,21 +78,21 @@ class Public(DBWorker):
             s = s.values(path=path, active=True)
         r = self.conn.execute(s)
         r.close()
-    
+
     def public_unset(self, path):
         s = self.public.update()
         s = s.where(self.public.c.path == path)
         s = s.values(active=False)
         r = self.conn.execute(s)
         r.close()
-    
+
     def public_unset_bulk(self, paths):
         s = self.public.update()
         s = s.where(self.public.c.path.in_(paths))
         s = s.values(active=False)
         r = self.conn.execute(s)
         r.close()
-    
+
     def public_get(self, path):
         s = select([self.public.c.public_id])
         s = s.where(and_(self.public.c.path == path,
@@ -100,16 +103,17 @@ class Public(DBWorker):
         if row:
             return row[0]
         return None
-    
+
     def public_list(self, prefix):
         s = select([self.public.c.path, self.public.c.public_id])
-        s = s.where(self.public.c.path.like(self.escape_like(prefix) + '%', escape='\\'))
+        s = s.where(self.public.c.path.like(
+            self.escape_like(prefix) + '%', escape='\\'))
         s = s.where(self.public.c.active == True)
         r = self.conn.execute(s)
         rows = r.fetchall()
         r.close()
         return rows
-    
+
     def public_path(self, public):
         s = select([self.public.c.path])
         s = s.where(and_(self.public.c.public_id == public,
diff --git a/snf-pithos-backend/pithos/backends/lib/sqlalchemy/xfeatures.py b/snf-pithos-backend/pithos/backends/lib/sqlalchemy/xfeatures.py
index 9604416..d7bfaea 100644
--- a/snf-pithos-backend/pithos/backends/lib/sqlalchemy/xfeatures.py
+++ b/snf-pithos-backend/pithos/backends/lib/sqlalchemy/xfeatures.py
@@ -1,18 +1,18 @@
 # Copyright 2011-2012 GRNET S.A. All rights reserved.
-# 
+#
 # Redistribution and use in source and binary forms, with or
 # without modification, are permitted provided that the following
 # conditions are met:
-# 
+#
 #   1. Redistributions of source code must retain the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer.
-# 
+#
 #   2. Redistributions in binary form must reproduce the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer in the documentation and/or other materials
 #      provided with the distribution.
-# 
+#
 # THIS SOFTWARE IS PROVIDED BY GRNET S.A. ``AS IS'' AND ANY EXPRESS
 # OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 # WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
@@ -25,7 +25,7 @@
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 # ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 # POSSIBILITY OF SUCH DAMAGE.
-# 
+#
 # The views and conclusions contained in the software and
 # documentation are those of the authors and should not be
 # interpreted as representing official policies, either expressed
@@ -40,16 +40,17 @@ from sqlalchemy.exc import NoSuchTableError
 
 from dbworker import DBWorker
 
+
 def create_tables(engine):
     metadata = MetaData()
-    columns=[]
+    columns = []
     columns.append(Column('feature_id', Integer, primary_key=True))
     columns.append(Column('path', String(2048)))
     xfeatures = Table('xfeatures', metadata, *columns, mysql_engine='InnoDB')
     # place an index on path
     Index('idx_features_path', xfeatures.c.path, unique=True)
-    
-    columns=[]
+
+    columns = []
     columns.append(Column('feature_id', Integer,
                           ForeignKey('xfeatures.feature_id',
                                      ondelete='CASCADE'),
@@ -57,16 +58,18 @@ def create_tables(engine):
     columns.append(Column('key', Integer, primary_key=True,
                           autoincrement=False))
     columns.append(Column('value', String(256), primary_key=True))
-    xfeaturevals = Table('xfeaturevals', metadata, *columns, mysql_engine='InnoDB')
-    
+    xfeaturevals = Table(
+        'xfeaturevals', metadata, *columns, mysql_engine='InnoDB')
+
     metadata.create_all(engine)
     return metadata.sorted_tables
 
+
 class XFeatures(DBWorker):
     """XFeatures are path properties that allow non-nested
        inheritance patterns. Currently used for storing permissions.
     """
-    
+
     def __init__(self, **params):
         DBWorker.__init__(self, **params)
         try:
@@ -76,10 +79,10 @@ class XFeatures(DBWorker):
         except NoSuchTableError:
             tables = create_tables(self.engine)
             map(lambda t: self.__setattr__(t.name, t), tables)
-    
+
 #     def xfeature_inherit(self, path):
 #         """Return the (path, feature) inherited by the path, or None."""
-#         
+#
 #         s = select([self.xfeatures.c.path, self.xfeatures.c.feature_id])
 #         s = s.where(self.xfeatures.c.path <= path)
 #         #s = s.where(self.xfeatures.c.path.like(self.escape_like(path) + '%', escape='\\')) # XXX: Implement reverse and escape like...
@@ -88,10 +91,10 @@ class XFeatures(DBWorker):
 #         l = r.fetchall()
 #         r.close()
 #         return l
-    
+
     def xfeature_get(self, path):
         """Return feature for path."""
-        
+
         s = select([self.xfeatures.c.feature_id])
         s = s.where(self.xfeatures.c.path == path)
         s = s.order_by(self.xfeatures.c.path)
@@ -101,12 +104,12 @@ class XFeatures(DBWorker):
         if row:
             return row[0]
         return None
-    
+
     def xfeature_create(self, path):
         """Create and return a feature for path.
            If the path has a feature, return it.
         """
-        
+
         feature = self.xfeature_get(path)
         if feature is not None:
             return feature
@@ -115,24 +118,24 @@ class XFeatures(DBWorker):
         inserted_primary_key = r.inserted_primary_key[0]
         r.close()
         return inserted_primary_key
-    
+
     def xfeature_destroy(self, path):
         """Destroy a feature and all its key, value pairs."""
-        
+
         s = self.xfeatures.delete().where(self.xfeatures.c.path == path)
         r = self.conn.execute(s)
         r.close()
-    
+
     def xfeature_destroy_bulk(self, paths):
         """Destroy features and all their key, value pairs."""
-        
+
         s = self.xfeatures.delete().where(self.xfeatures.c.path.in_(paths))
         r = self.conn.execute(s)
         r.close()
-    
+
     def feature_dict(self, feature):
         """Return a dict mapping keys to list of values for feature."""
-        
+
         s = select([self.xfeaturevals.c.key, self.xfeaturevals.c.value])
         s = s.where(self.xfeaturevals.c.feature_id == feature)
         r = self.conn.execute(s)
@@ -141,10 +144,10 @@ class XFeatures(DBWorker):
             d[key].append(value)
         r.close()
         return d
-    
+
     def feature_set(self, feature, key, value):
         """Associate a key, value pair with a feature."""
-        
+
         s = self.xfeaturevals.select()
         s = s.where(self.xfeaturevals.c.feature_id == feature)
         s = s.where(self.xfeaturevals.c.key == key)
@@ -156,27 +159,27 @@ class XFeatures(DBWorker):
             s = self.xfeaturevals.insert()
             r = self.conn.execute(s, feature_id=feature, key=key, value=value)
             r.close()
-    
+
     def feature_setmany(self, feature, key, values):
         """Associate the given key, and values with a feature."""
-        
+
         #TODO: more efficient way to do it
         for v in values:
             self.feature_set(feature, key, v)
-    
+
     def feature_unset(self, feature, key, value):
         """Disassociate a key, value pair from a feature."""
-        
+
         s = self.xfeaturevals.delete()
         s = s.where(and_(self.xfeaturevals.c.feature_id == feature,
-                     self.xfeaturevals.c.key == key,
-                     self.xfeaturevals.c.value == value))
+                         self.xfeaturevals.c.key == key,
+                         self.xfeaturevals.c.value == value))
         r = self.conn.execute(s)
         r.close()
-    
+
     def feature_unsetmany(self, feature, key, values):
         """Disassociate the key for the values given, from a feature."""
-        
+
         for v in values:
             conditional = and_(self.xfeaturevals.c.feature_id == feature,
                                self.xfeaturevals.c.key == key,
@@ -184,23 +187,23 @@ class XFeatures(DBWorker):
             s = self.xfeaturevals.delete().where(conditional)
             r = self.conn.execute(s)
             r.close()
-        
+
     def feature_get(self, feature, key):
         """Return the list of values for a key of a feature."""
-        
+
         s = select([self.xfeaturevals.c.value])
         s = s.where(and_(self.xfeaturevals.c.feature_id == feature,
-                     self.xfeaturevals.c.key == key))
+                         self.xfeaturevals.c.key == key))
         r = self.conn.execute(s)
         l = [row[0] for row in r.fetchall()]
         r.close()
         return l
-    
+
     def feature_clear(self, feature, key):
         """Delete all key, value pairs for a key of a feature."""
-        
+
         s = self.xfeaturevals.delete()
         s = s.where(and_(self.xfeaturevals.c.feature_id == feature,
-                     self.xfeaturevals.c.key == key))
+                         self.xfeaturevals.c.key == key))
         r = self.conn.execute(s)
         r.close()
